## samba4 4.0.0~alpha15.dfsg1

=== debian/changelog ===
samba4 (4.0.0~alpha15.dfsg1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian.
   + Fixes upgradeprovision crash. LP: #728840
   + Move libwinbind-client.so required by python-samba to
     libsamba-hostconfig0. LP: #713532
  * Add upstart job.
  * Bump standards version to 3.9.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Jun 2011 17:23:59 +0100

samba4 (4.0.0~alpha15.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Apr 2011 02:57:04 +0200

samba4 (4.0.0~alpha15~git20110410.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
   + Drop patch now applied upstream: 02_backupkey_private.diff
  * Switch to dh_python2. Closes: #617059

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Mar 2011 14:44:25 +0100

samba4 (4.0.0~alpha15~git20110224.dfsg1-2) experimental; urgency=low

  * Depend on newer version of Heimdal which exposes more hx509 symbols.
    Fixes FTBFS.
  * Tighten libldb1 dependency for LDB modules.
  * Depend on newer version of pyldb.  Closes: #615631

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 Feb 2011 03:52:35 +0100

samba4 (4.0.0~alpha15~git20110224.dfsg1-1) experimental; urgency=low

  * New upstream release.
   + Avoids unnecessary setlocale call to "C". LP: #519025, #519025
  * Fix dependency on newer version of ldb. Closes: #614466
  * Add missing dependency on python-samba, required for testparm. LP: #641082
  * Use libwbclient. LP: #714344, Closes: #611214
  * Make sure /var/run/samba exists. LP: #646037

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Feb 2011 00:35:59 +0100
