=== debian/control ===
Source: samba4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
           Christian Perrier <bubulle@debian.org>,
           Noèl Köthe <noel@debian.org>,
           Steinar H. Gunderson <sesse@debian.org>,
           Jelmer Vernooij <jelmer@debian.org>
Homepage: http://www.samba.org/
Standards-Version: 3.9.2
Build-Depends: bison,
               comerr-dev,
               debhelper (>> 6.0.7~),
               docbook-xml,
               docbook-xsl,
               flex,
               heimdal-multidev (>= 1.4.0+git20110410),
               libattr1-dev,
               libblkid-dev,
               libgnutls-dev,
               libldb-dev (>= 1:1.1.0~),
               libpam0g-dev,
               libparse-yapp-perl,
               libpopt-dev,
               libreadline-dev,
               libsubunit-dev,
               libtalloc-dev (>= 2.0.5~),
               libtdb-dev (>= 1.2.9~),
               libtevent-dev (>= 0.9.11~),
               perl,
               perl-modules,
               pkg-config,
               po-debconf,
               python-all-dev (>= 2.6.6-3),
               python-dnspython,
               python-ldb (>= 1:1.1.0~),
               python-ldb-dev (>= 1:1.1.0~),
               python-talloc-dev (>= 2.0.5~),
               python-tdb (>= 1.2.9~),
               python-testtools,
               samba-common (>= 2:3.4.0~pre2),
               subunit (>= 0.0.6),
               xsltproc,
               zlib1g-dev (>= 1:1.2.3)
Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/samba4/unstable
Vcs-Bzr: http://bzr.debian.org/pkg-samba/samba4/unstable
X-Python-Version: 2.6
DM-Upload-Allowed: yes

Package: samba4
Architecture: any
Recommends: ldb-tools
Suggests: bind9 (>= 1:9.5.1), phpldapadmin, samba-gtk, swat2
Conflicts: samba (<< 2:3.3.0~rc2-5), samba-tools
Depends: python,
         python-dnspython,
         python-samba,
         samba4-common-bin (=${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: SMB/CIFS file, print and logon server (version 4)
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production. In particular, upgrades between different
 versions may not be able to preserve directory service contents.
 .
 This package contains the Samba file, print and domain server.

Package: libsamdb0
Architecture: any
Depends: ${ldb:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: samba-ldb-tools
Replaces: samba-ldb-tools
Description: SAM database
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the library for accessing the SAM database.

Package: samba4-common-bin
Architecture: all
Depends: python-samba,
         samba-common (>= 2:3.4.0~pre2-1),
         ${misc:Depends},
         ${python:Depends}
Conflicts: samba (<< 2:3.3.0~rc2-5), samba-common (<< 2:3.3.0~rc2-5)
Replaces: samba4-common (<< 2:3.4.0~pre2-1), samba4-common (<< 4.0.0~alpha7-1)
Description: Samba 4 common files used by both the server and the client
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: samba4-clients
Architecture: any
Depends: samba4-common-bin (=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: samba-common (<< 2:3.3.0~rc2-5), smbclient
Provides: smbclient
Description: client utilities from Samba 4
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, net,
 and some ACL tools.

Package: samba4-testsuite
Architecture: any
Conflicts: samba-tools
Recommends: subunit
Depends: samba4-common-bin, ${misc:Depends}, ${shlibs:Depends}
Description: test suite from Samba 4
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for viewing and manipulating the Windows registry
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: libparse-pidl-perl
Architecture: any
Depends: libparse-yapp-perl, ${misc:Depends}, ${perl:Depends}
Recommends: libdcerpc-dev
Section: perl
Description: IDL compiler written in Perl
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains the IDL (Interface Description Language) compiler pidl,
 which takes in IDL files and can output C code for various uses. It is
 primarily of interest to developers.

Package: samba4-dev
Architecture: any
Depends: libc6-dev,
         libldb-dev,
         libparse-pidl-perl,
         libpopt-dev,
         libtalloc-dev,
         libtdb-dev (>= 1.1.0),
         ${misc:Depends}
Section: devel
Description: tools for extending Samba
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains include files shared by the various Samba-based
 libraries.

Package: libgensec0
Architecture: any
Depends: samba-common (>= 2:3.4.0~pre2-1), ${misc:Depends}, ${shlibs:Depends}
Description: Generic Security Library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 This library provides a generalized API for several security protocols.

Package: libgensec-dev
Architecture: any
Section: libdevel
Depends: libgensec0 (=${binary:Version}), pkg-config, ${misc:Depends}
Description: Generic Security Library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 This library provides a generalized API for several security protocols.
 .
 This package contains the files required for development.

Package: libndr0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NDR marshalling library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains the library for encoding and decoding data structures
 using the Network Data Representation format as used by DCE/RPC.

Package: libndr-dev
Architecture: any
Section: libdevel
Depends: libndr0 (=${binary:Version}), pkg-config, ${misc:Depends}
Description: NDR marshalling library - development files
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains the library for encoding and decoding data structures
 using the Network Data Representation format as used by DCE/RPC.
 .
 This package contains the files required for development.

Package: libndr-standard0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Standard NDR interfaces
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains NDR encoders/decoders for the set of standard
 DCE/RPC interfaces found on Windows and Samba servers.

Package: libndr-standard-dev
Architecture: any
Section: libdevel
Depends: libndr-standard0 (=${binary:Version}), pkg-config, ${misc:Depends}
Description: Standard NDR interfaces - development files
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains NDR encoders/decoders for the set of standard
 DCE/RPC interfaces found on Windows and Samba servers.
 .
 This package contains the files required for development.

Package: libdcerpc0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DCE/RPC client library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 Client-side implementation of the DCE/RPC protocol.
 Support for the following transports is provided:
  - ncacn_np
  - ncacn_ip_tcp
  - ncalrpc
  - ncacn_sock_unix

Package: libdcerpc-dev
Architecture: any
Section: libdevel
Depends: libdcerpc0 (=${binary:Version}),
         libndr-dev,
         libsamba-util-dev,
         pkg-config,
